subroutine VARHDecomp(matrix residuals, matrix invAirf,matrix Fcomp)

	matrix eps = @inverse(invAirf) * @transpose(residuals) 

	'Contribution of each shock
	
	matrix(!nvarXeq,!nvar) invA_big = 0
	matplace(invA_big,invAirf,1,1)
	
	matrix (!nvar,!nvarXeq) Icomp = 0
	matrix tempi=@identity(!nvar)
	matplace(Icomp,tempi,1,1)
	delete tempi
	
	for !bb=1 to !nvar
		matrix(!nlag*!nvar,!nobs+1) HDshock_big{!bb} = 0
		matrix(!nvar,!nobs+1) HDshock{!bb} = 0
	next
	
	for !b=1 to !nvar  'for each variable
	
		matrix(!nvar,!nobs+1) eps_big = 0 'matrix of shocks conformable with companion
		matplace(eps_big,@rowextract(eps,!b),!b,2)
	
		for !i = 2 to !nobs+1
	
			matrix temp1
			temp1 = invA_big*@columnextract(eps_big,!i) + Fcomp*@columnextract(HDshock_big{!b},!i-1)
			matplace(HDshock_big{!b},temp1,1,!i)	
		
			matrix temp2
			temp2 = Icomp*@columnextract(HDshock_big{!b},!i)
			matplace(HDshock{!b},temp2,1,!i)
			matrix HDshocke{!b} = @subextract(HDshock{!b},1,2)
		next
	
		delete HDshock_big{!b}
	
	next
	
	'Reshape Results
	
	matrix(!nlag,1) matnan
	
	for !i=1 to !nvar
	
		matrix(!nobs+!nlag,!nvar) Hshock{!i} = 0 ' [nobs x shock x var]
	
		for !bb=1 to !nvar
			matplace(Hshock{!i},matnan,1,!bb)
			matplace(Hshock{!i},@transpose(@rowextract(hdshocke{!bb},!i)),!nlag+1,!bb)
		next
	
	next

	delete hdshock* hdshocke* eps*

endsub


