sort year quarter
tsset time, quarterly
gen lagvrp=logvrp_var[_n-1]
sort time

***Table 3 Panel A***
est clear
newey ch_ci_loan lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey lpc_loan lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey ch_ci_loan lagvrp fed_rate chgdp chcpi chcredit_spr chterm_spr chics, lag(1)
eststo
newey lpc_loan lagvrp fed_rate chgdp chcpi chcredit_spr chterm_spr chics, lag(1)
eststo
esttab using D:\2016_VRP_results\new_work\Table3_PanelA.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table 3 Panel B***
est clear
newey standard_lm lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey standard_s lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey demand_lm lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey demand_s lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
esttab * using D:\2016_VRP_results\new_work\Table3_PanelB.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table 3 Panel C***
est clear
newey spread_lm lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey spread_s lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey loan_spread logvrp_var_end pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey spread lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
esttab using D:\2016_VRP_results\new_work\Table3_PanelC.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table 4 Panel A***
est clear
newey size_lm lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey maturity_lm lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey collateral_lm lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey loansize_d logvrp_var_end pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey maturity_d logvrp_var_end pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey collateral_d logvrp_var_end pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey size lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey maturity lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey secured lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
esttab using D:\2016_VRP_results\new_work\Table4_PanelA.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table 4 Panel B***
gen vrp_crisis=lagvrp*crisis
gen vrp_noncrisis=lagvrp*noncrisis
gen vrp_crisis2=logvrp_var_end*crisis
gen vrp_noncrisis2=logvrp_var_end*noncrisis

est clear
newey size_lm vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey maturity_lm vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey collateral_lm vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey loansize_d vrp_crisis2 vrp_noncrisis2 pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis2=vrp_noncrisis2
eststo
newey maturity_d vrp_crisis2 vrp_noncrisis2 pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis2=vrp_noncrisis2
eststo
newey collateral_d vrp_crisis2 vrp_noncrisis2 pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis2=vrp_noncrisis2
eststo
newey size vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey maturity vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey secured vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
esttab using D:\2016_VRP_results\new_work\Table4_PanelB.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table 4 Panel C***
est clear
newey ch_ci_loan vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey lpc_loan vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey standard_lm vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey standard_s vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey demand_lm vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey demand_s vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey spread_lm vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey spread_s vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
newey loan_spr vrp_crisis2 vrp_noncrisis2 pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis2=vrp_noncrisis2
eststo
newey spread vrp_crisis vrp_noncrisis pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
test vrp_crisis=vrp_noncrisis
eststo
esttab using D:\2016_VRP_results\new_work\Table4_PanelC.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table 5***
gen substitute=loan_g-bond_cp_g

est clear
newey chloan_fof lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey chbond_cp lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey substitute lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey chloan_ratio lagvrp pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
esttab using D:\2016_VRP_results\new_work\bond2.rtf, b(3) ar2(3) p(3) nogap nostar replace

***Table A1 Panel A***
est clear
newey standard_lm vix_var pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey demand_lm vix_var pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey standard_lm logvrp_var vix_var pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey demand_lm logvrp_var vix_var pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
esttab * using D:\2016_VRP_results\new_work\TableA1_PanelA.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table A1 Panel B***
est clear
newey standard_lm epu_base_mean pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey demand_lm epu_base_mean pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey standard_lm logvrp_var epu_base_mean pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey demand_lm logvrp_var epu_base_mean pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
esttab * using D:\2016_VRP_results\new_work\TableA1_PanelB.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table A1 Panel C***
est clear
newey standard_lm mu1_mean pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey demand_lm mu1_mean pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey standard_lm logvrp_var mu1_mean pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
newey demand_lm logvrp_var mu1_mean pc1 pc2 pc3 pc4 pc5 pc6, lag(1)
eststo
esttab * using D:\2016_VRP_results\new_work\TableA1_PanelC.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table A3***
est clear
reg3 (standard_lm = lagvrp demand_lm pc2 pc3 pc4) (demand_lm = lagvrp standard_lm pc1 pc2 pc3 pc6)
eststo
esttab using D:\2016_VRP_results\new_work\TableA3.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table A4***
est clear
reg3 (lpc_loan = lagvrp spread pc1 pc2 pc4 pc5) (spread = logvrp_var lpc_loan pc1 pc2 pc3 pc4)
eststo
esttab using D:\2016_VRP_results\new_work\TableA4.rtf, b(3) ar2(3) p(3) nogap nostar replace


***Table 2 Panels A and B***
pwcorr ch_ci_loan lpc_loan spread spread_lm standard_lm demand_lm logvrp_var fed_rate chgdp chcpi chcredit_spr chterm_spr chics
pwcorr ch_ci_loan lpc_loan spread spread_lm standard_lm demand_lm logvrp_var pc1 pc2 pc3 pc4 pc5 pc6


***Table 1***
summarize ch_ci_loan vrp_var logvrp_var fed_rate chgdp chcpi chcredit_spr chterm_spr chics standard_lm standard_s demand_lm demand_s spread_lm spread_s size_lm maturity_lm collateral_lm loan_spread chloan_fof chbond_cp substitute chloan_ratio loansize_d maturity_d collateral_d lpc_loan spread size maturity secured, detail